Bug 145188 - dependency on howl-libs should be removed
dependency on howl-libs should be removed
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-01-14 22:29 EST by Aleksandar Milivojevic
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-01 11:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2005-01-14 22:29:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
gnome-vfs2 depends on howl-libs.  Because of this, to remove howl and
howl-libs packages, user would need to deintall half of GNOME,
openoffice, mozilla, thunderbid, firefox, and many more packages. 
This makes almost impossible to cleanly deinstall howl and howl-libs
from desktop system that doesn't need Apple Randevouz (multicast DNS)

Running "yum remove howl" on my system (laptop with GNOME desktop)
ends up with error message (in short, seems that yum is not able to
calculate how to remove howl and keep dependencies in place).

This dependency should be removed ASAP.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try "rpm -e howl howl-libs" or "yum remove howl"
2. Try "rpm -e howl howl-libs gnome-vfs2"

Additional info:
Comment 1 Bevan Bennett 2005-10-10 21:38:04 EDT
I also would prefer not to have this software installed, and don't see why all
of Gnome should require it, especially since it's not even in common use...

Remember, having unneccessary services turned on increases our security
exposure, as does having unneccessary packages installed.
Comment 2 Matthew Miller 2006-07-10 16:14:54 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Alexander Larsson 2006-09-01 11:01:51 EDT
We now use avahi instead of howl.

Note You need to log in before you can comment on or make changes to this bug.